# 基础镜像：构建JDK8镜像依赖
FROM openjdk:8

# 作者
MAINTAINER xin.lu

# 运行成容器时的端口
EXPOSE 8080
#RUN mkdir -p /topsun/mes/html
#
## 使用 --mount 标志挂载 /data 目录
# RUN --mount=type=bind,source=/mydata/nginx-appstore/html,target=/topsun/mes/html
#VOLUME /topsun/mes/html:/mydata/nginx-appstore/html

#
## 使用 -v 标志挂载 /data 目录
#VOLUME ["/mes-package"]


# 切换到容器内部的 /workdir目录
WORKDIR /topsun/mes/

ENV TZ=Asia/Shanghai
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

# 添加要运行的jar文件
COPY target/admin.jar /topsun/mes/mes-admin.jar

# 容器启动时执行（类似CMD）
ENTRYPOINT ["java","-Dspring.profiles.active=test", "-jar", "/topsun/mes/mes-admin.jar"]
